Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.tools.checks
Class BasicCheckRunner

    java.lang.Object
      org.jasig.portal.tools.checks.BasicCheckRunner

All Implemented Interfaces:
  ICheckRunner

    public class BasicCheckRunner

extends java.lang.Object
implements ICheckRunner

Safely executes a configured List of checks.

Since:
  uPortal 2.5
Version:
  $Revision: 1.2 $ $Date: 2005/05/20 01:48:58 $

Field Summary
`private java.util.List` | `checks`
`protected org.apache.commons.logging.Log` | `log`

Constructor Summary
`BasicCheckRunner()`

Method Summary
`java.util.List` | `doChecks()` Execute some checks and return a List of CheckAndResult instances representing the results.
`private CheckAndResult` | `executeCheck(ICheck check)` Helper method to safely execute a given check.
`java.util.List` | `getChecks()`
`void` | `setChecks(java.util.List checks)` Set the List of checks to be executed by this CheckRunner instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected org.apache.commons.logging.Log log

### checks

    private java.util.List checks

Constructor Detail

### BasicCheckRunner

    public BasicCheckRunner()

Method Detail

### doChecks

    public java.util.List doChecks()

  Description copied from interface: `ICheckRunner`
  Execute some checks and return a List of CheckAndResult instances representing the results.

  Specified by:
    `doChecks` in interface `ICheckRunner`
  Returns:
    a List of CheckAndResult instances.

### executeCheck

    private CheckAndResult executeCheck(ICheck check)

  Helper method to safely execute a given check.

  Parameters:
    `check` -
  Returns:

### getChecks

    public java.util.List getChecks()

  Returns:
    Returns the checks.

### setChecks

    public void setChecks(java.util.List checks)

  Set the List of checks to be executed by this CheckRunner instance.

  Parameters:
    `checks` - a non-null list of ICheck instances.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD